# blogker

A nginx-powered container hosting a hugo-built blog regularly pulled off git.

## Run

### Auto-Pull Git

If you store your blog data in a git repository, run the container with env `REPO_URL` set to a Git repo:

`docker run -e REPO_URL=https://git.maride.cc/maride/sec.maride.cc.git -p 80:80 -d blogker`

The repository will be pulled and built every 10 minutes.

### Passthrough via Bind

To just use a specific directory as the hugo blog contents, run the container with the repository passed through as bind directory:

`docker run -v /var/myblog:/repo -p 80:80 -d blogker`

The repository will be built every 10 minutes, but you need to implement a mechanism to update the blog repository on your own. This setup can be handy in a testing/dev environment where you don't want to have all your blog posts published right away.
